# Constants (YAGSL-Example API)
declaration: package: frc.robot, class: Constants

Package frc.robot

# Class Constants

java.lang.Object
frc.robot.Constants

public final class Constants extends Object
The Constants class provides a convenient place for teams to hold robot-wide numerical or boolean constants. This class should not be used for any other purpose. All constants should be declared globally (i.e. public static). Do not put anything functional in this class.

It is advised to statically import this class (or one of its inner classes) wherever the constants are needed, to reduce verbosity.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Constants.Auton`
`static final class`
`Constants.Drivebase`
`static class`
`Constants.OperatorConstants`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Matter`
`CHASSIS`
`static final double`
`LOOP_TIME`
`static final double`
`ROBOT_MASS`

## Constructor Summary

Constructors
Constructor
Description
`Constants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ROBOT_MASS

public static final double ROBOT_MASS

See Also:
  - Constant Field Values

### CHASSIS

public static final Matter CHASSIS

### LOOP_TIME

public static final double LOOP_TIME

See Also:
  - Constant Field Values

## Constructor Details

### Constants

public Constants()